Package: groovy.swing.factory

## [Groovy] Class GridBagFactory

- groovy.swing.factory.GridBagFactory

-     class GridBagFactory
      extends LayoutFactory

  Factory for creating GridBagLayout nodes and collecting matching constraints.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class LayoutFactory` | `DEFAULT_DELEGATE_PROPERTY_CONSTRAINT, DELEGATE_PROPERTY_CONSTRAINT`
    `class BeanFactory` | `leaf`

  - Inherited properties
    Properties inherited from class | Properties
    --- | ---
    `class LayoutFactory` | `contextProps`
    `class BeanFactory` | `beanClass`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GridBagFactory()` Creates a factory for GridBagLayout nodes.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addLayoutProperties(Object context)` Copies GridBagConstraints constants into the builder context.
    `` | `static Object` | `extractAttribute(Map attrs, String name, Class type)` Returns: null if not found.
    `` | `static void` | `processGridBagConstraintsAttributes(FactoryBuilderSupport builder, Object node, Map attributes)` Collects GridBagConstraints values from child attributes when the current parent uses a GridBagLayout.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class LayoutFactory` | `addLayoutProperties, addLayoutProperties, constraintsAttributeDelegate, getLayoutTarget, newInstance, setParent`
    `class BeanFactory` | `isLeaf, newInstance`
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Constructor Detail

    - #### GridBagFactory()

      Creates a factory for GridBagLayout nodes.

  - ### Method Detail

    - #### void addLayoutProperties(Object context)

      Copies GridBagConstraints constants into the builder context.

      Parameters:
        `context` - the builder context

    - #### static Object extractAttribute(Map attrs, String name, Class type)

      Returns:
        null if not found. null as a 'not found' works because all attrs except insets are primitive types, and insets will crash if set to null

    - #### static void processGridBagConstraintsAttributes(FactoryBuilderSupport builder, Object node, Map attributes)

      Collects GridBagConstraints values from child attributes when the current parent uses a GridBagLayout.

      Parameters:
        `builder` - the factory builder
        `node` - the current node
        `attributes` - the node attributes